Use Cases
The endpoints below outline how to create and manage Workbench Use Cases. They are not associated with the Value Tracker, which was formerly called Use Cases.
Retrieve Pinned Usecases
Operation path: GET /api/v2/pinnedUsecases/
Authentication requirements: BearerAuth
Example responses
200 Response
{
"properties": {
"data": {
"description": "The list of the pinned use cases.",
"items": {
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"type": [
"string",
"null"
]
},
"applicationsCount": {
"description": "The number of applications in a use case.",
"type": "integer"
},
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"customApplicationsCount": {
"description": "The number of custom applications referenced in a use case.",
"type": "integer"
},
"customJobsCount": {
"description": "The number of custom jobs referenced in a use case.",
"type": "integer"
},
"customModelVersionsCount": {
"description": "The number of custom models referenced in a use case.",
"type": "integer"
},
"datasetsCount": {
"description": "The number of datasets in a use case.",
"type": "integer"
},
"deploymentsCount": {
"description": "The number of deployments referenced in a use case.",
"type": "integer"
},
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"filesCount": {
"description": "The number of files in a use case.",
"type": "integer",
"x-versionadded": "v2.37"
},
"formattedDescription": {
"description": "The formatted description of the experiment container used as styled description.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the Use Case.",
"type": "string"
},
"modelsCount": {
"description": "[DEPRECATED] The number of models in a Use Case.",
"type": "integer",
"x-versiondeprecated": "v2.34"
},
"name": {
"description": "The name of the Use Case.",
"type": "string"
},
"notebooksCount": {
"description": "The number of notebooks in a use case.",
"type": "integer"
},
"projectsCount": {
"description": "The number of projects in a use case.",
"type": "integer"
},
"recipesCount": {
"description": "The number of recipes in a Use Case.",
"type": "integer"
},
"registeredModelVersionsCount": {
"description": "The number of registered models referenced in a use case.",
"type": "integer"
},
"riskAssessments": {
"description": "The ID List of the Risk Assessments.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array"
},
"role": {
"description": "The requesting user's role on this Use Case.",
"enum": [
"OWNER",
"EDITOR",
"CONSUMER"
],
"type": "string",
"x-versionadded": "v2.37"
},
"tenantId": {
"description": "The ID of the tenant to associate this organization with.",
"type": [
"string",
"null"
]
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated when the record was last updated.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"valueTrackerId": {
"description": "The ID of the Value Tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"applicationsCount",
"created",
"createdAt",
"customApplicationsCount",
"customJobsCount",
"customModelVersionsCount",
"datasetsCount",
"deploymentsCount",
"description",
"filesCount",
"id",
"name",
"notebooksCount",
"projectsCount",
"recipesCount",
"registeredModelVersionsCount",
"role",
"tenantId",
"updated",
"updatedAt"
],
"type": "object",
"x-versionadded": "v2.36"
},
"maxItems": 8,
"type": "array"
}
},
"required": [
"data"
],
"type": "object",
"x-versionadded": "v2.36"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
Pinned Use Cases retrieved successfully. |
PinnedUsecasesResponse |
| 403 |
Forbidden |
User does not have access to this functionality. |
None |
Modify Pinned Usecases
Operation path: PATCH /api/v2/pinnedUsecases/
Authentication requirements: BearerAuth
Body parameter
{
"properties": {
"operation": {
"description": "Pinned Use Case possible operations.",
"enum": [
"add",
"remove"
],
"type": "string"
},
"pinnedUseCasesIds": {
"description": "The list of the pinned Use Case IDs.",
"items": {
"type": "string"
},
"maxItems": 8,
"minItems": 1,
"type": "array"
}
},
"required": [
"operation",
"pinnedUseCasesIds"
],
"type": "object",
"x-versionadded": "v2.36"
}
Parameters
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
Pinned Use Cases retrieved successfully. |
None |
| 403 |
Forbidden |
User does not have access to this functionality. |
None |
Retrieve the list of use cases
Operation path: GET /api/v2/useCases/
Authentication requirements: BearerAuth
Retrieve the list of use cases.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| search |
query |
string |
false |
Returns only Use Cases with names that match the given string. |
| projectId |
query |
string |
false |
Only return experiment containers associated with the given project ID. |
| applicationId |
query |
string |
false |
Only return experiment containers associated with the given app. |
| entityId |
query |
string |
false |
The id of the entity type that is linked with the Use Case. |
| entityType |
query |
string |
false |
The entity type that is linked to the use case. |
| sort |
query |
string |
true |
[DEPRECATED - replaced with order_by] The order in which Use Cases and return Use Cases. |
| orderBy |
query |
string |
true |
The order in which use cases are returned. |
| usecaseType |
query |
string |
true |
A filter to return use cases by type. |
| riskLevel |
query |
any |
false |
Only return Use Cases associated with the given risk level. |
| stage |
query |
any |
false |
Only return use cases in the given stage. |
| createdBy |
query |
string |
false |
Filter Use Cases to return only those created by the selected user. |
| showOrgUseCases |
query |
boolean |
false |
Defines if the Use Cases available on Organization level should be shown. |
Enumerated Values
| Parameter |
Value |
| entityType |
[project, dataset, file, notebook, application, recipe, playground, vectorDatabase, customModelVersion, registeredModelVersion, deployment, customApplication, customJob] |
| sort |
[-applicationsCount, -createdAt, -createdBy, -customApplicationsCount, -datasetsCount, -description, -filesCount, -id, -name, -notebooksCount, -playgroundsCount, -potentialValue, -projectsCount, -riskLevel, -stage, -updatedAt, -updatedBy, -vectorDatabasesCount, applicationsCount, createdAt, createdBy, customApplicationsCount, datasetsCount, description, filesCount, id, name, notebooksCount, playgroundsCount, potentialValue, projectsCount, riskLevel, stage, updatedAt, updatedBy, vectorDatabasesCount] |
| orderBy |
[-applicationsCount, -createdAt, -createdBy, -customApplicationsCount, -datasetsCount, -description, -filesCount, -id, -name, -notebooksCount, -playgroundsCount, -potentialValue, -projectsCount, -riskLevel, -stage, -updatedAt, -updatedBy, -vectorDatabasesCount, applicationsCount, createdAt, createdBy, customApplicationsCount, datasetsCount, description, filesCount, id, name, notebooksCount, playgroundsCount, potentialValue, projectsCount, riskLevel, stage, updatedAt, updatedBy, vectorDatabasesCount] |
| usecaseType |
[all, general, walkthrough] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of use cases that match the query.",
"items": {
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"type": [
"string",
"null"
]
},
"applicationsCount": {
"description": "The number of applications in a Use Case.",
"type": "integer"
},
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"customApplicationsCount": {
"description": "The number of custom applications referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customJobsCount": {
"description": "The number of custom jobs referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customModelVersionsCount": {
"description": "The number of custom models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"datasetsCount": {
"description": "The number of datasets in a Use Case.",
"type": "integer"
},
"deploymentsCount": {
"description": "The number of deployments referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"filesCount": {
"description": "The number of files in a Use Case.",
"type": "integer",
"x-versionadded": "v2.37"
},
"formattedDescription": {
"description": "The formatted description of the experiment container used as styled description.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
},
"id": {
"description": "The ID of the Use Case.",
"type": "string"
},
"members": {
"description": "The list of use case members.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"modelsCount": {
"description": "[DEPRECATED] The number of models in a Use Case.",
"type": "integer",
"x-versiondeprecated": "v2.34"
},
"name": {
"description": "The name of the Use Case.",
"type": "string"
},
"notebooksCount": {
"description": "The number of notebooks in a Use Case.",
"type": "integer"
},
"owners": {
"description": "The list of owners of a use case.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"primaryRiskAssessment": {
"description": "Risk assessment defined as primary the current Use Case.",
"properties": {
"createdAt": {
"description": "The creation date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created the risk assessment.",
"type": "string"
},
"description": {
"description": "The description of the risk assessment.",
"type": "string"
},
"evidence": {
"description": "The evidence for the risk assessment.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the risk assessment.",
"type": "string"
},
"isPrimary": {
"default": false,
"description": "Determines if the risk assessment is primary.",
"type": "boolean"
},
"mitigationPlan": {
"description": "The mitigation plan for the risk assessment.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the risk assessment.",
"type": "string"
},
"riskLevel": {
"description": "The name of the risk assessment level.",
"type": "string"
},
"tenantId": {
"description": "The tenant ID related to the risk assessment.",
"type": [
"string",
"null"
]
},
"updatedAt": {
"description": "The last updated date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who updated the risk assessment.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"description",
"evidence",
"id",
"isPrimary",
"mitigationPlan",
"name",
"tenantId",
"updatedAt",
"updatedBy"
],
"type": "object",
"x-versionadded": "v2.36"
},
"projectsCount": {
"description": "The number of projects in a Use Case.",
"type": "integer"
},
"recipesCount": {
"description": "The number of recipes in a Use Case.",
"type": "integer",
"x-versionadded": "v2.33"
},
"registeredModelVersionsCount": {
"description": "The number of registered models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"riskAssessments": {
"description": "The ID List of the Risk Assessments.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.36"
},
"role": {
"description": "The requesting user's role on this Use Case.",
"enum": [
"OWNER",
"EDITOR",
"CONSUMER"
],
"type": "string"
},
"tenantId": {
"description": "The ID of the tenant to associate this organization with.",
"type": [
"string",
"null"
]
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated when the record was last updated.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"valueTracker": {
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"valueTrackerId": {
"description": "The ID of the Value Tracker.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
}
},
"required": [
"applicationsCount",
"created",
"createdAt",
"customApplicationsCount",
"customJobsCount",
"customModelVersionsCount",
"datasetsCount",
"deploymentsCount",
"description",
"filesCount",
"id",
"members",
"name",
"notebooksCount",
"projectsCount",
"recipesCount",
"registeredModelVersionsCount",
"role",
"tenantId",
"updated",
"updatedAt"
],
"type": "object"
},
"maxItems": 100,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
The use cases were retrieved successfully. |
UseCaseListResponse |
| 403 |
Forbidden |
User does not have access to this functionality. |
None |
Get a use case
Operation path: POST /api/v2/useCases/
Authentication requirements: BearerAuth
Look up a use case.
Body parameter
{
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"enum": [
"flightDelays",
"hospital"
],
"type": [
"string",
"null"
]
},
"description": {
"default": null,
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"name": {
"default": null,
"description": "The name of the Use Case.",
"maxLength": 100,
"type": [
"string",
"null"
]
}
},
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| body |
body |
UseCaseCreate |
false |
none |
Example responses
200 Response
{
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"type": [
"string",
"null"
]
},
"applicationsCount": {
"description": "The number of applications in a Use Case.",
"type": "integer"
},
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"customApplicationsCount": {
"description": "The number of custom applications referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customJobsCount": {
"description": "The number of custom jobs referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customModelVersionsCount": {
"description": "The number of custom models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"datasetsCount": {
"description": "The number of datasets in a Use Case.",
"type": "integer"
},
"deploymentsCount": {
"description": "The number of deployments referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"filesCount": {
"description": "The number of files in a Use Case.",
"type": "integer",
"x-versionadded": "v2.37"
},
"formattedDescription": {
"description": "The formatted description of the experiment container used as styled description.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
},
"id": {
"description": "The ID of the Use Case.",
"type": "string"
},
"members": {
"description": "The list of use case members.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"modelsCount": {
"description": "[DEPRECATED] The number of models in a Use Case.",
"type": "integer",
"x-versiondeprecated": "v2.34"
},
"name": {
"description": "The name of the Use Case.",
"type": "string"
},
"notebooksCount": {
"description": "The number of notebooks in a Use Case.",
"type": "integer"
},
"owners": {
"description": "The list of owners of a use case.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"primaryRiskAssessment": {
"description": "Risk assessment defined as primary the current Use Case.",
"properties": {
"createdAt": {
"description": "The creation date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created the risk assessment.",
"type": "string"
},
"description": {
"description": "The description of the risk assessment.",
"type": "string"
},
"evidence": {
"description": "The evidence for the risk assessment.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the risk assessment.",
"type": "string"
},
"isPrimary": {
"default": false,
"description": "Determines if the risk assessment is primary.",
"type": "boolean"
},
"mitigationPlan": {
"description": "The mitigation plan for the risk assessment.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the risk assessment.",
"type": "string"
},
"riskLevel": {
"description": "The name of the risk assessment level.",
"type": "string"
},
"tenantId": {
"description": "The tenant ID related to the risk assessment.",
"type": [
"string",
"null"
]
},
"updatedAt": {
"description": "The last updated date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who updated the risk assessment.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"description",
"evidence",
"id",
"isPrimary",
"mitigationPlan",
"name",
"tenantId",
"updatedAt",
"updatedBy"
],
"type": "object",
"x-versionadded": "v2.36"
},
"projectsCount": {
"description": "The number of projects in a Use Case.",
"type": "integer"
},
"recipesCount": {
"description": "The number of recipes in a Use Case.",
"type": "integer",
"x-versionadded": "v2.33"
},
"registeredModelVersionsCount": {
"description": "The number of registered models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"riskAssessments": {
"description": "The ID List of the Risk Assessments.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.36"
},
"role": {
"description": "The requesting user's role on this Use Case.",
"enum": [
"OWNER",
"EDITOR",
"CONSUMER"
],
"type": "string"
},
"tenantId": {
"description": "The ID of the tenant to associate this organization with.",
"type": [
"string",
"null"
]
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated when the record was last updated.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"valueTracker": {
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"valueTrackerId": {
"description": "The ID of the Value Tracker.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
}
},
"required": [
"applicationsCount",
"created",
"createdAt",
"customApplicationsCount",
"customJobsCount",
"customModelVersionsCount",
"datasetsCount",
"deploymentsCount",
"description",
"filesCount",
"id",
"members",
"name",
"notebooksCount",
"projectsCount",
"recipesCount",
"registeredModelVersionsCount",
"role",
"tenantId",
"updated",
"updatedAt"
],
"type": "object"
}
Responses
Get the list of the references associated
Operation path: GET /api/v2/useCases/allResources/
Authentication requirements: BearerAuth
Get a list of the all used assets associated with a Use Case.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| sort |
query |
string |
true |
[DEPRECATED - replaced with order_by] The order to sort the Use Case references. |
| orderBy |
query |
string |
true |
The order to sort the Use Case references. |
| daysSinceLastActivity |
query |
integer |
false |
Only retrieve resources that had activity within the specified number of days. |
| recipeStatus |
query |
any |
false |
The recipe status used for filtering recipes. |
Enumerated Values
| Parameter |
Value |
| sort |
[-entityType, -lastActivity, -name, -updatedAt, -updatedBy, entityType, lastActivity, name, updatedAt, updatedBy] |
| orderBy |
[-entityType, -lastActivity, -name, -updatedAt, -updatedBy, entityType, lastActivity, name, updatedAt, updatedBy] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer",
"x-versionadded": "v2.33"
},
"data": {
"description": "The list of the use case references that match the query.",
"items": {
"properties": {
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"entityId": {
"description": "The primary ID of the entity.",
"type": "string"
},
"entityType": {
"description": "The type of entity provided by the entity ID.",
"type": "string"
},
"id": {
"description": "The ID of the Use Case reference.",
"type": "string"
},
"lastActivity": {
"description": "The last activity details.",
"properties": {
"timestamp": {
"description": "The time when this activity occurred.",
"format": "date-time",
"type": "string"
},
"type": {
"description": "The type of activity. Can be \"Added\" or \"Modified\".",
"type": "string"
}
},
"required": [
"timestamp",
"type"
],
"type": "object"
},
"metadata": {
"description": "The reference metadata for the use case.",
"oneOf": [
{
"properties": {
"isDraft": {
"description": "Indicates whether the experiment configuration has been used for modeling and is therefore locked (False) or whether the setup has not been applied , and as a draft, can still be modified and used in training (True).",
"type": "boolean"
},
"isErrored": {
"description": "Indicates whether the experiment failed.",
"type": "boolean"
},
"isWorkbenchEligible": {
"description": "Indicates whether the experiment is Workbench-compatible.",
"type": "boolean"
},
"stage": {
"description": "Stage of the experiment.",
"type": "string",
"x-versionadded": "v2.34"
},
"statusErrorMessage": {
"description": "The experiment failure explanation.",
"type": "string"
}
},
"required": [
"isDraft",
"isErrored",
"isWorkbenchEligible",
"stage",
"statusErrorMessage"
],
"type": "object"
},
{
"properties": {
"dataSourceType": {
"description": "The type of the data source used to create the dataset if relevant.",
"type": [
"string",
"null"
]
},
"datasetSize": {
"description": "The size of the dataset in bytes.",
"type": [
"integer",
"null"
],
"x-versionadded": "v2.34"
},
"datasetSourceType": {
"description": "The source type of the dataset",
"type": [
"string",
"null"
]
},
"isSnapshot": {
"description": "Whether the dataset is an immutable snapshot of data which has previously been retrieved and saved to DataRobot.",
"type": "boolean"
},
"isWranglingEligible": {
"description": "Whether the source of the dataset can support wrangling.",
"type": "boolean"
},
"latestRecipeId": {
"description": "The latest recipe ID linked to the dataset.",
"type": [
"string",
"null"
]
}
},
"required": [
"dataSourceType",
"datasetSize",
"datasetSourceType",
"isSnapshot",
"isWranglingEligible",
"latestRecipeId"
],
"type": "object"
},
{
"properties": {
"dataType": {
"description": "The type of the recipe (wrangling or feature discovery)",
"enum": [
"static",
"Static",
"STATIC",
"snapshot",
"Snapshot",
"SNAPSHOT",
"dynamic",
"Dynamic",
"DYNAMIC",
"sqlRecipe",
"SqlRecipe",
"SQL_RECIPE",
"wranglingRecipe",
"WranglingRecipe",
"WRANGLING_RECIPE",
"featureDiscoveryRecipe",
"FeatureDiscoveryRecipe",
"FEATURE_DISCOVERY_RECIPE"
],
"type": [
"string",
"null"
]
}
},
"required": [
"dataType"
],
"type": "object"
},
{
"properties": {
"description": {
"description": "The description of the playground.",
"type": "string"
},
"playgroundType": {
"description": "The type of the playground.",
"type": "string",
"x-versionadded": "v2.37"
}
},
"required": [
"description"
],
"type": "object"
},
{
"properties": {
"errorMessage": {
"description": "The error message, if any, for the vector database.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.38"
},
"source": {
"description": "The source of the vector database",
"type": "string"
}
},
"required": [
"errorMessage",
"source"
],
"type": "object",
"x-versionadded": "v2.37"
},
{
"properties": {
"dataSourceType": {
"description": "The data source type used to create the file if relevant.",
"type": [
"string",
"null"
]
},
"fileSourceType": {
"description": "The source type of the file.",
"type": [
"string",
"null"
]
},
"numFiles": {
"description": "The number of files in the catalog item.",
"type": [
"integer",
"null"
]
}
},
"required": [
"dataSourceType",
"fileSourceType",
"numFiles"
],
"type": "object",
"x-versionadded": "v2.37"
}
]
},
"name": {
"description": "The name of the Use Case reference.",
"type": "string"
},
"processingState": {
"description": "The current ingestion process state of the dataset.",
"enum": [
"COMPLETED",
"ERROR",
"RUNNING"
],
"type": "string"
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"useCaseId": {
"description": "The ID of the linked use case.",
"type": "string"
},
"useCaseName": {
"description": "The name of the linked use case.",
"type": [
"string",
"null"
]
},
"userHasAccess": {
"description": "Identifies if a user has access to the entity.",
"type": [
"boolean",
"null"
],
"x-versionadded": "v2.36"
},
"versions": {
"description": "The list of entity versions.",
"items": {
"properties": {
"createdAt": {
"description": "Time when this entity was created.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"id": {
"description": "The id of the entity version.",
"type": "string"
},
"lastActivity": {
"description": "The last activity details.",
"properties": {
"timestamp": {
"description": "The time when this activity occurred.",
"format": "date-time",
"type": "string"
},
"type": {
"description": "The type of activity. Can be \"Added\" or \"Modified\".",
"type": "string"
}
},
"required": [
"timestamp",
"type"
],
"type": "object"
},
"name": {
"description": "The name of the entity version.",
"type": "string"
},
"registeredModelVersion": {
"description": "The version number of the entity version.",
"type": "integer"
},
"updatedAt": {
"description": "Time when the last update occurred.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
}
},
"required": [
"createdAt",
"createdBy",
"id",
"lastActivity",
"name",
"registeredModelVersion",
"updatedAt",
"updatedBy"
],
"type": "object",
"x-versionadded": "v2.36"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.36"
}
},
"required": [
"entityId",
"entityType",
"id",
"name",
"updatedAt",
"useCaseId"
],
"type": "object"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.33"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer",
"x-versionadded": "v2.33"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Get the list of the notebooks
Operation path: GET /api/v2/useCases/notebooks/
Authentication requirements: BearerAuth
Get the list of the notebooks from all use cases.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| includeName |
query |
boolean |
false |
Include use case name. |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of the notebooks in this use case.",
"items": {
"properties": {
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at notebook creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"entityId": {
"description": "The primary id of the entity (same as ID of the notebook).",
"type": "string"
},
"entityType": {
"description": "The type of entity provided by the entity id.",
"enum": [
"notebook"
],
"type": "string"
},
"experimentContainerId": {
"description": "[DEPRECATED - replaced with use_case_id] The ID of the Use Case.",
"type": "string",
"x-versiondeprecated": "v2.32"
},
"id": {
"description": "The ID of the notebook.",
"type": "string"
},
"isDeleted": {
"description": "Soft deletion flag for notebooks",
"type": "boolean"
},
"referenceId": {
"description": "Original ID from DB",
"type": "string"
},
"tenantId": {
"description": "The id of the tenant the notebook belongs to.",
"type": [
"string",
"null"
]
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"useCaseId": {
"description": "The ID of the Use Case.",
"type": "string"
},
"useCaseName": {
"description": "Use Case name",
"type": "string"
}
},
"required": [
"created",
"createdAt",
"entityId",
"entityType",
"experimentContainerId",
"id",
"isDeleted",
"referenceId",
"tenantId",
"useCaseId"
],
"type": "object"
},
"maxItems": 100,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Delete a use case by use case ID
Operation path: DELETE /api/v2/useCases/{useCaseId}/
Authentication requirements: BearerAuth
Delete a use case.
Parameters
| Name |
In |
Type |
Required |
Description |
| useCaseId |
path |
string |
true |
The ID of the use case to update. |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
Get a use case by use case ID
Operation path: GET /api/v2/useCases/{useCaseId}/
Authentication requirements: BearerAuth
Retrieve a single Use Case.
Parameters
| Name |
In |
Type |
Required |
Description |
| useCaseId |
path |
string |
true |
The ID of the use case to update. |
Example responses
200 Response
{
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"type": [
"string",
"null"
]
},
"applicationsCount": {
"description": "The number of applications in a Use Case.",
"type": "integer"
},
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"customApplicationsCount": {
"description": "The number of custom applications referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customJobsCount": {
"description": "The number of custom jobs referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customModelVersionsCount": {
"description": "The number of custom models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"datasetsCount": {
"description": "The number of datasets in a Use Case.",
"type": "integer"
},
"deploymentsCount": {
"description": "The number of deployments referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"filesCount": {
"description": "The number of files in a Use Case.",
"type": "integer",
"x-versionadded": "v2.37"
},
"formattedDescription": {
"description": "The formatted description of the experiment container used as styled description.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
},
"id": {
"description": "The ID of the Use Case.",
"type": "string"
},
"members": {
"description": "The list of use case members.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"modelsCount": {
"description": "[DEPRECATED] The number of models in a Use Case.",
"type": "integer",
"x-versiondeprecated": "v2.34"
},
"name": {
"description": "The name of the Use Case.",
"type": "string"
},
"notebooksCount": {
"description": "The number of notebooks in a Use Case.",
"type": "integer"
},
"owners": {
"description": "The list of owners of a use case.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"primaryRiskAssessment": {
"description": "Risk assessment defined as primary the current Use Case.",
"properties": {
"createdAt": {
"description": "The creation date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created the risk assessment.",
"type": "string"
},
"description": {
"description": "The description of the risk assessment.",
"type": "string"
},
"evidence": {
"description": "The evidence for the risk assessment.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the risk assessment.",
"type": "string"
},
"isPrimary": {
"default": false,
"description": "Determines if the risk assessment is primary.",
"type": "boolean"
},
"mitigationPlan": {
"description": "The mitigation plan for the risk assessment.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the risk assessment.",
"type": "string"
},
"riskLevel": {
"description": "The name of the risk assessment level.",
"type": "string"
},
"tenantId": {
"description": "The tenant ID related to the risk assessment.",
"type": [
"string",
"null"
]
},
"updatedAt": {
"description": "The last updated date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who updated the risk assessment.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"description",
"evidence",
"id",
"isPrimary",
"mitigationPlan",
"name",
"tenantId",
"updatedAt",
"updatedBy"
],
"type": "object",
"x-versionadded": "v2.36"
},
"projectsCount": {
"description": "The number of projects in a Use Case.",
"type": "integer"
},
"recipesCount": {
"description": "The number of recipes in a Use Case.",
"type": "integer",
"x-versionadded": "v2.33"
},
"registeredModelVersionsCount": {
"description": "The number of registered models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"riskAssessments": {
"description": "The ID List of the Risk Assessments.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.36"
},
"role": {
"description": "The requesting user's role on this Use Case.",
"enum": [
"OWNER",
"EDITOR",
"CONSUMER"
],
"type": "string"
},
"tenantId": {
"description": "The ID of the tenant to associate this organization with.",
"type": [
"string",
"null"
]
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated when the record was last updated.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"valueTracker": {
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"valueTrackerId": {
"description": "The ID of the Value Tracker.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
}
},
"required": [
"applicationsCount",
"created",
"createdAt",
"customApplicationsCount",
"customJobsCount",
"customModelVersionsCount",
"datasetsCount",
"deploymentsCount",
"description",
"filesCount",
"id",
"members",
"name",
"notebooksCount",
"projectsCount",
"recipesCount",
"registeredModelVersionsCount",
"role",
"tenantId",
"updated",
"updatedAt"
],
"type": "object"
}
Responses
Update a Use Case by use case ID
Operation path: PATCH /api/v2/useCases/{useCaseId}/
Authentication requirements: BearerAuth
Update a Use Case.
Body parameter
{
"properties": {
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the Use Case.",
"maxLength": 100,
"type": [
"string",
"null"
]
}
},
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| useCaseId |
path |
string |
true |
The ID of the use case to update. |
| body |
body |
UseCaseUpdate |
false |
none |
Example responses
204 Response
{
"properties": {
"advancedTour": {
"description": "Advanced tour key.",
"type": [
"string",
"null"
]
},
"applicationsCount": {
"description": "The number of applications in a Use Case.",
"type": "integer"
},
"created": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"createdAt": {
"description": "The timestamp generated at record creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created.",
"type": [
"string",
"null"
]
},
"customApplicationsCount": {
"description": "The number of custom applications referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customJobsCount": {
"description": "The number of custom jobs referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"customModelVersionsCount": {
"description": "The number of custom models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"datasetsCount": {
"description": "The number of datasets in a Use Case.",
"type": "integer"
},
"deploymentsCount": {
"description": "The number of deployments referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"description": {
"description": "The description of the Use Case.",
"type": [
"string",
"null"
]
},
"filesCount": {
"description": "The number of files in a Use Case.",
"type": "integer",
"x-versionadded": "v2.37"
},
"formattedDescription": {
"description": "The formatted description of the experiment container used as styled description.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
},
"id": {
"description": "The ID of the Use Case.",
"type": "string"
},
"members": {
"description": "The list of use case members.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"modelsCount": {
"description": "[DEPRECATED] The number of models in a Use Case.",
"type": "integer",
"x-versiondeprecated": "v2.34"
},
"name": {
"description": "The name of the Use Case.",
"type": "string"
},
"notebooksCount": {
"description": "The number of notebooks in a Use Case.",
"type": "integer"
},
"owners": {
"description": "The list of owners of a use case.",
"items": {
"properties": {
"email": {
"description": "The email address of the member.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the member.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the member.",
"type": "string"
},
"isOrganization": {
"description": "Whether the member is an organization.",
"type": [
"boolean",
"null"
]
},
"userhash": {
"description": "The member's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the member.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"type": "array"
},
"primaryRiskAssessment": {
"description": "Risk assessment defined as primary the current Use Case.",
"properties": {
"createdAt": {
"description": "The creation date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The ID of the user who created the risk assessment.",
"type": "string"
},
"description": {
"description": "The description of the risk assessment.",
"type": "string"
},
"evidence": {
"description": "The evidence for the risk assessment.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the risk assessment.",
"type": "string"
},
"isPrimary": {
"default": false,
"description": "Determines if the risk assessment is primary.",
"type": "boolean"
},
"mitigationPlan": {
"description": "The mitigation plan for the risk assessment.",
"type": [
"string",
"null"
]
},
"name": {
"description": "The name of the risk assessment.",
"type": "string"
},
"riskLevel": {
"description": "The name of the risk assessment level.",
"type": "string"
},
"tenantId": {
"description": "The tenant ID related to the risk assessment.",
"type": [
"string",
"null"
]
},
"updatedAt": {
"description": "The last updated date of the risk assessment.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who updated the risk assessment.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"description",
"evidence",
"id",
"isPrimary",
"mitigationPlan",
"name",
"tenantId",
"updatedAt",
"updatedBy"
],
"type": "object",
"x-versionadded": "v2.36"
},
"projectsCount": {
"description": "The number of projects in a Use Case.",
"type": "integer"
},
"recipesCount": {
"description": "The number of recipes in a Use Case.",
"type": "integer",
"x-versionadded": "v2.33"
},
"registeredModelVersionsCount": {
"description": "The number of registered models referenced in a Use Case.",
"type": "integer",
"x-versionadded": "v2.35"
},
"riskAssessments": {
"description": "The ID List of the Risk Assessments.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.36"
},
"role": {
"description": "The requesting user's role on this Use Case.",
"enum": [
"OWNER",
"EDITOR",
"CONSUMER"
],
"type": "string"
},
"tenantId": {
"description": "The ID of the tenant to associate this organization with.",
"type": [
"string",
"null"
]
},
"updated": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"updatedAt": {
"description": "The timestamp generated when the record was last updated.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "The ID of the user who last updated.",
"type": [
"string",
"null"
]
},
"valueTracker": {
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"valueTrackerId": {
"description": "The ID of the Value Tracker.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.36"
}
},
"required": [
"applicationsCount",
"created",
"createdAt",
"customApplicationsCount",
"customJobsCount",
"customModelVersionsCount",
"datasetsCount",
"deploymentsCount",
"description",
"filesCount",
"id",
"members",
"name",
"notebooksCount",
"projectsCount",
"recipesCount",
"registeredModelVersionsCount",
"role",
"tenantId",
"updated",
"updatedAt"
],
"type": "object"
}
Responses
Get the list of the applications associated by use case ID
Operation path: GET /api/v2/useCases/{useCaseId}/applications/
Authentication requirements: BearerAuth
Get the list of the applications associated with a use case.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| search |
query |
string |
false |
Only return applications with names that match the given string. |
| sort |
query |
string |
true |
[DEPRECATED - replaced with order_by] The order to sort applications. |
| orderBy |
query |
string |
true |
The order to sort applications. |
| useCaseId |
path |
string |
true |
The ID of the use case to update. |
Enumerated Values
| Parameter |
Value |
| sort |
[-applicationTemplateType, -createdAt, -lastActivity, -name, -source, -updatedAt, -userId, applicationTemplateType, createdAt, lastActivity, name, source, updatedAt, userId] |
| orderBy |
[-applicationTemplateType, -createdAt, -lastActivity, -name, -source, -updatedAt, -userId, applicationTemplateType, createdAt, lastActivity, name, source, updatedAt, userId] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of the applications in this use case.",
"items": {
"properties": {
"applicationId": {
"description": "The application id of the application.",
"type": "string"
},
"applicationTemplateType": {
"description": "The type of the application.",
"type": [
"string",
"null"
]
},
"createdAt": {
"description": "The timestamp generated at application creation.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"description": {
"description": "The description of the application.",
"type": [
"string",
"null"
]
},
"lastActivity": {
"description": "The last activity details.",
"properties": {
"timestamp": {
"description": "The time when this activity occurred.",
"format": "date-time",
"type": "string"
},
"type": {
"description": "The type of activity. Can be \"Added\" or \"Modified\".",
"type": "string"
}
},
"required": [
"timestamp",
"type"
],
"type": "object"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"projectId": {
"description": "The ID of the associated project",
"type": [
"string",
"null"
]
},
"source": {
"description": "The source used to create the application.",
"type": [
"string",
"null"
]
},
"updatedAt": {
"description": "The timestamp generated at application modification.",
"format": "date-time",
"type": "string"
}
},
"required": [
"applicationId",
"applicationTemplateType",
"createdAt",
"createdBy",
"description",
"lastActivity",
"name",
"projectId",
"source",
"updatedAt"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
The list of the custom applications referenced by a use case by use case ID
Operation path: GET /api/v2/useCases/{useCaseId}/customApplications/
Authentication requirements: BearerAuth
The list of the custom applications referenced by a use case.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| useCaseId |
path |
string |
true |
The ID of the use case to update. |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of custom applications.",
"items": {
"properties": {
"applicationUrl": {
"description": "The reachable URL of the custom application.",
"type": "string",
"x-versionadded": "v2.35"
},
"createdAt": {
"description": "The time when this model was created.",
"format": "date-time",
"type": "string",
"x-versionadded": "v2.35"
},
"createdBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"customApplicationSourceId": {
"description": "The ID of the custom application source.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.39"
},
"id": {
"description": "The ID of the custom application.",
"type": "string"
},
"lastActivity": {
"description": "The type of the last activity. Can be \"Added\" or \"Modified\".",
"enum": [
"created",
"Created",
"CREATED",
"modified",
"Modified",
"MODIFIED"
],
"type": "string"
},
"name": {
"description": "The name of the custom application.",
"type": "string"
},
"permissions": {
"description": "The list of permissions available for the user.",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array",
"x-versionadded": "v2.39"
},
"status": {
"description": "The status of the custom application.",
"type": "string",
"x-versionadded": "v2.35"
},
"updatedAt": {
"description": "The time when this activity occurred.",
"format": "date-time",
"type": "string"
},
"updatedBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"userHasAccess": {
"description": "Indicates if a user has access to this custom application.",
"type": "boolean",
"x-versionadded": "v2.35"
}
},
"required": [
"id"
],
"type": "object",
"x-versionadded": "v2.35"
},
"maxItems": 100,
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object",
"x-versionadded": "v2.35"
}
Responses
List datasets by use case ID
Operation path: GET /api/v2/useCases/{useCaseId}/data/
Authentication requirements: BearerAuth
Get a list of the data (datasets and recipes) associated with a use case.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of results to skip. |
| limit |
query |
integer |
false |
At most this many results are returned. The default may change without notice. |
| orderBy |
query |
string |
true |
Sorting order which will be applied to data list. |
| search |
query |
string |
false |
Only return datasets or recipes from use case with names that match the given string. |
| dataType |
query |
any |
false |
Data types used for filtering. |
| dataSourceType |
query |
any |
false |
The driver class type of the recipe wrangling engine. |
| recipeStatus |
query |
any |
false |
The recipe status used for filtering recipes. |
| creatorUserId |
query |
any |
false |
Filter results to display only those created by user(s) identified by the specified ID |
| creatorUsername |
query |
any |
false |
Filter results to display only those created by user(s) identified by the specified username |
| useCaseId |
path |
string |
true |
The ID of the use case. |
Enumerated Values
| Parameter |
Value |
| orderBy |
[name, -name, description, -description, createdBy, -createdBy, modifiedAt, -modifiedAt, dataType, -dataType, dataSourceType, -dataSourceType, rowCount, -rowCount, columnCount, -columnCount, datasetSize, -datasetSize] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer",
"x-versionadded": "v2.33"
},
"data": {
"description": "The list of the datasets in this use case.",
"items": {
"properties": {
"columnCount": {
"description": "The number of columns in a dataset. ``null`` might be returned in case dataset is in running or errored state",
"type": [
"integer",
"null"
],
"x-versionadded": "v2.33"
},
"createdBy": {
"description": "A user associated with a use case.",
"properties": {
"email": {
"description": "The email address of the user.",
"type": [
"string",
"null"
]
},
"fullName": {
"description": "The full name of the user.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the user.",
"type": "string"
},
"userhash": {
"description": "The user's gravatar hash.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the user.",
"type": [
"string",
"null"
]
}
},
"required": [
"email",
"id"
],
"type": "object"
},
"dataSourceType": {
"description": "The driver class type used to create the dataset if relevant.",
"enum": [
"s3",
"native-s3",
"native-adls",
"adlsgen2",
"oracle",
"iris",
"exasol",
"sap",
"databricks-v1",
"native-databricks",
"bigquery-v1",
"bigquery1",
"bigquery2",
"athena2",
"athena1",
"kdb",
"treasuredata",
"elasticsearch",
"snowflake",
"mysql",
"mssql",
"postgres",
"palantirfoundry",
"teradata",
"redshift",
"datasphere-v1",
"trino-v1",
"native-gdrive",
"native-sharepoint",
"native-confluence",
"native-jira",
"native-box",
"unknown"
],
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"dataType": {
"description": "The type of data entity.",
"enum": [
"static",
"Static",
"STATIC",
"snapshot",
"Snapshot",
"SNAPSHOT",
"dynamic",
"Dynamic",
"DYNAMIC",
"sqlRecipe",
"SqlRecipe",
"SQL_RECIPE",
"wranglingRecipe",
"WranglingRecipe",
"WRANGLING_RECIPE",
"featureDiscoveryRecipe",
"FeatureDiscoveryRecipe",
"FEATURE_DISCOVERY_RECIPE"
],
"type": "string",
"x-versionadded": "v2.33"
},
"datasetSize": {
"description": "The size of the dataset as a CSV in bytes. ``null`` might be returned in case dataset is in running or errored state",
"type": [
"integer",
"null"
],
"x-versionadded": "v2.33"
},
"description": {
"description": "The description of the dataset or recipe.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"entityId": {
"description": "The primary ID of the entity.",
"type": "string",
"x-versionadded": "v2.33"
},
"entityType": {
"description": "The type of entity provided by the entity ID.",
"enum": [
"recipe",
"Recipe",
"RECIPE",
"dataset",
"Dataset",
"DATASET",
"project",
"Project",
"PROJECT",
"application",
"Application",
"APPLICATION"
],
"type": "string",
"x-versionadded": "v2.33"
},
"featureDiscoveryProjectId": {
"description": "Related feature discovery project if this is a feature discovery dataset.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"isWranglingEligible": {
"description": "Whether the source of the dataset can support wrangling.",
"type": "boolean",
"x-versionadded": "v2.33"
},
"latestRecipeId": {
"description": "The latest recipe ID linked to the dataset.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"modifiedAt": {
"description": "The timestamp generated at dataset modification.",
"format": "date-time",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"name": {
"description": "The name of the dataset or recipe.",
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
"processingState": {
"description": "The current ingestion process state of the dataset.",
"enum": [
"COMPLETED",
"ERROR",
"RUNNING"
],
"type": [
"string",
"null"
],
"x-versionadded": "v2.33"
},
[...]
